Description
Existe un problema al intentar exportar un documento tipo tabla a Postgres. Los pasos son los siguientes:
    -  Se crea un documento de tipo tabla
    -  Se carga un fichero CSV
    -  Menú tabla --> Exportar
    -  Indicamos nombre de tabla y campo que tiene el identificador único
    -  Aparece el siguiente error

    -  El log es el siguiente

DEBUG [AWT-EventQueue-2] (AbstractIndexedVisitable.java:55) - The visit, beggining on position 0, has been cancelled by
the visitor: org.gvsig.fmap.dal.feature.paging.impl.FeaturePagingHelperImpl$3@8793df
 INFO [AWT-EventQueue-2] (DefaultActionInfo.java:249) -
org.gvsig.exportto.app.mainplugin:org.gvsig.exportto.app.extension.ExporttoTableExtension.execute('Exportto')
 INFO [AWT-EventQueue-2] (Messages.java:124) - [org.gvsig.i18n.Messages] Cannot find translation for key
'input_pk_field_name'.
DEBUG [Thread-26] (BaseTaskStatus.java:191) - Terminated status Export to JDBC execution in 1 ms
 INFO [Thread-26] (DefaultJExporttoServicePanel.java:258) - Error exporting the store
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:212)
    at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:256)
Caused by: java.lang.RuntimeException: Name descriptor id duplicated.
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.add(DefaultEditableFeatureType.java:163)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.add(DefaultEditableFeatureType.java:154)
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:127)
    ... 1 more

NOTA: Si se crea una conexión para exportar la tabla, no se guardan los datos y aparece el combo vacío.

History
#1 - 02/05/2014 10:15 PM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez
- Priority changed from Normal to High
- Target version set to 2.1.0-2219-testing

#2 - 02/06/2014 01:51 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed management of ID field, improved GUI and fixed new layer/table document name.

gvsig-desktop:r41127

#3 - 02/19/2014 09:57 AM - Álvaro Anguix
- Status changed from Fixed to Closed
